<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/vecsetvec.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>vecsetvec.c File Reference</h1><code>#include &quot;<a class="el" href="util_8h_source.html">util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for vecsetvec.c:</div>
<div class="dynsection">
<div class="center"><img src="vecsetvec_8c__incl.png" border="0" usemap="#util_2vecsetvec_8c_map" alt=""/></div>
<map name="util_2vecsetvec_8c_map" id="util_2vecsetvec_8c">
<area shape="rect" id="node3" href="util_8h.html" title="util.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="vecsetvec_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vecsetvec_8c.html#a150f247373857044a52f52ad3e419710">VecSetVec</a> (Vec vec, PetscReal *vec3, int dim)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a150f247373857044a52f52ad3e419710"></a><!-- doxytag: member="vecsetvec.c::VecSetVec" ref="a150f247373857044a52f52ad3e419710" args="(Vec vec, PetscReal *vec3, int dim)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int VecSetVec </td>
          <td>(</td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>vec3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>dim</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="vecsetvec_8c_source.html#l00029">29</a> of file <a class="el" href="vecsetvec_8c_source.html">vecsetvec.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, and <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>.</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

